Totp Disable
POST
/api/v1/auth/totp/disable
const url = 'https://example.com/api/v1/auth/totp/disable';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/totp/disable \ --header 'Content-Type: application/json' \ --data '{ "password": "example" }'Disable TOTP for the current user — requires re-confirming the current password.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
TOTPDisableRequest
object
password
required
Password
string
Example generated
{ "password": "example"}Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}